# -*- encoding: utf-8 -*-
# stub: columns_on_demand 6.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "columns_on_demand".freeze
  s.version = "6.1.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Will Bryant".freeze]
  s.date = "2024-07-10"
  s.description = "Lazily loads large columns on demand.\n\nBy default, does this for all TEXT (:text) and BLOB (:binary) columns, but a list\nof specific columns to load on demand can be given.\n\nThis is useful to reduce the memory taken by Rails when loading a number of records\nthat have large columns if those particular columns are actually not required most\nof the time.  In this situation it can also greatly reduce the database query time\nbecause loading large BLOB/TEXT columns generally means seeking to other database\npages since they are not stored wholly in the record's page itself.\n\nAlthough this plugin is mainly used for BLOB and TEXT columns, it will actually\nwork on all types - and is just as useful for large string fields etc.\n".freeze
  s.email = "will.bryant@gmail.com".freeze
  s.homepage = "http://github.com/willbryant/columns_on_demand".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.5.9".freeze
  s.summary = "Lazily loads large columns on demand.".freeze

  s.installed_by_version = "3.5.9".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<activerecord>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<mysql2>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<pg>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<sqlite3>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<byebug>.freeze, [">= 0".freeze])
end
